﻿Public Class Form1
    ' The appointments dictionary.
    Private Appointments As Dictionary(Of Date, String) =
                New Dictionary(Of Date, String)()

    ' Initialize the DateTimePicker.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim timeNow As Date = Date.Now
        dtpAppointment.Value = New Date(
            timeNow.Year,
            timeNow.Month,
            timeNow.Day,
            timeNow.Hour,
            timeNow.Minute,
            timeNow.Second)
    End Sub

    ' Add an appointment.
    Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAdd.Click
        ' Add the appointment.
        Dim appointmentTime As Date = New Date(
            dtpAppointment.Value.Year,
            dtpAppointment.Value.Month,
            dtpAppointment.Value.Day,
            dtpAppointment.Value.Hour,
            dtpAppointment.Value.Minute,
            dtpAppointment.Value.Second)
        Appointments.Add(appointmentTime, txtNotes.Text)

        ' Get ready for the next one.
        txtNotes.Clear()
    End Sub

    ' Display an appointment.
    Private Sub btnFind_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFind.Click
        Dim appointmentTime As Date = New Date(
            dtpAppointment.Value.Year,
            dtpAppointment.Value.Month,
            dtpAppointment.Value.Day,
            dtpAppointment.Value.Hour,
            dtpAppointment.Value.Minute,
            dtpAppointment.Value.Second)
        txtNotes.Text = Appointments(appointmentTime)
    End Sub

    ' Update an appointment.
    Private Sub btnUpdate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnUpdate.Click
        Dim appointmentTime As Date = New Date(
            dtpAppointment.Value.Year,
            dtpAppointment.Value.Month,
            dtpAppointment.Value.Day,
            dtpAppointment.Value.Hour,
            dtpAppointment.Value.Minute,
            dtpAppointment.Value.Second)
        Appointments(appointmentTime) = txtNotes.Text
    End Sub
End Class
