﻿Public Class NewItemForm
    ' Public fields. (They should really be properties.)
    Public ItemName As String
    Public PriceEach, Quantity, TotalPrice As Decimal

    ' Parse the user-entered values and calculate the total price.
    Private Sub btnCalculate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCalculate.Click
        ' Get the user-entered values.
        ItemName = txtItem.Text
        PriceEach = Decimal.Parse(txtPriceEach.Text, System.Globalization.NumberStyles.Any)
        Quantity = Decimal.Parse(txtQuantity.Text)

        ' Calculate and display total price.
        TotalPrice = PriceEach * Quantity
        txtTotalPrice.Text = TotalPrice.ToString("C")

        ' Enable the OK button.
        btnOk.Enabled = True
    End Sub

    ' Make sure the fields are up to date.
    ' (Note that this repeats code in the other event handler.)
    Private Sub btnOk_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOk.Click
        ' Get the user-entered values.
        ItemName = txtItem.Text
        PriceEach = Decimal.Parse(txtPriceEach.Text, System.Globalization.NumberStyles.Any)
        Quantity = Decimal.Parse(txtQuantity.Text)

        ' Calculate and display total price.
        TotalPrice = PriceEach * Quantity
        txtTotalPrice.Text = TotalPrice.ToString("C")
    End Sub
End Class