﻿Public Class Form1
    ' Calculate the solutions.
    Private Sub btnCalculate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCalculate.Click
        Try
            ' Get the input values.
            Dim a As Double = Double.Parse(txtA.Text)
            Dim b As Double = Double.Parse(txtB.Text)
            Dim c As Double = Double.Parse(txtC.Text)

            ' Calculate the discriminant: b * b - 4 * a * c.
            Dim discriminant As Double = b * b - 4 * a * c

            ' See if the discriminant is positive, negative, or zero.
            If (discriminant > 0) Then
                ' Positive. There are two solutions.
                Dim result1 As Double = (-b + Math.Sqrt(discriminant)) / (2 * a)
                Dim result2 As Double = (-b - Math.Sqrt(discriminant)) / (2 * a)
                txtResult1.Text = result1.ToString()
                txtResult2.Text = result2.ToString()
            ElseIf (discriminant < 0) Then
                ' Negative. There are no real solutions.
                txtResult1.Text = "no solution"
                txtResult2.Text = "no solution"
            Else
                ' Zero. There is one solution.
                Dim result As Double = -b / (2 * a)
                txtResult1.Text = result.ToString()
                txtResult2.Text = ""
            End If
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
    End Sub
End Class
