﻿Public Class Form1
    ' The player.
    Private WithEvents ThePlayer As Player

    ' Initialize the player.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ThePlayer = New Player
        ThePlayer.Points = 0
    End Sub

    ' Add points.
    Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAdd.Click
        Dim newPoints As Integer = Integer.Parse(txtPoints.Text)
        ThePlayer.Points += newPoints
        txtTotal.Text = ThePlayer.Points.ToString()
    End Sub

    ' Subtract points.
    Private Sub btnSubtract_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSubtract.Click
        Dim newPoints As Integer = Integer.Parse(txtPoints.Text)
        ThePlayer.Points -= newPoints
        txtTotal.Text = ThePlayer.Points.ToString()
    End Sub

    ' Congratulate the player.
    Private Sub ThePlayer_LevelUp(ByVal oldLevel As Integer, ByVal newLevel As Integer) Handles ThePlayer.LevelUp
        MessageBox.Show("Congratulations! You have reached level " & newLevel)
    End Sub

    ' Console the player.
    Private Sub ThePlayer_LevelDown(ByVal oldLevel As Integer, ByVal newLevel As Integer) Handles ThePlayer.LevelDown
        MessageBox.Show("Too bad! Try to regain level " & oldLevel)
    End Sub
End Class
