﻿Public Class DrawableRectangle
    Implements IDrawable

    ' Non-IDrawable properties.
    Public Property Width As Integer
    Public Property Height As Integer

    ' From the IDrawable interface.
    Public Property X As Integer Implements IDrawable.X
    Public Property Y As Integer Implements IDrawable.Y
    Public Property Background As System.Drawing.Brush Implements IDrawable.Background
    Public Property Foreground As System.Drawing.Pen Implements IDrawable.Foreground

    ' Draw the Rextangle.
    Public Sub Draw(ByVal gr As System.Drawing.Graphics) Implements IDrawable.Draw
        gr.FillRectangle(Background, X,Y,Width,height )
        gr.DrawRectangle(Foreground, X,Y,Width,height )
    End Sub

    ' Constructor.
    Public Sub New(ByVal newX As Integer, ByVal newY As Integer, ByVal newBackground As Brush, ByVal newForeground As Pen, ByVal newWidth As Integer, ByVal newHeight As Integer)
        X = newX
        Y = newY
        Background = newBackground
        Foreground = newForeground
        Width = newWidth
        Height = newHeight
    End Sub
End Class
