﻿Public Class Car
    Property Name As String
    Property MaximumSpeed As Integer
    Property Horsepower As Integer
    Property Price As Decimal

    ' Initializing constructor.
    Public Sub New(ByVal newName As String, ByVal newMaximumSpeed As Integer, ByVal newHorsepower As Integer, ByVal newPrice As Decimal)
        Name = newName
        MaximumSpeed = newMaximumSpeed
        Horsepower = newHorsepower
        Price = newPrice
    End Sub

    ' Override ToString.
    Public Overrides Function ToString() As String
        Return String.Format("{0,-30}", Name) &
            String.Format("{0,5} mph", MaximumSpeed) &
            String.Format("{0,8} hp", Horsepower) &
            String.Format("{0,15:C}", Price)
    End Function
End Class
