﻿Public Class Form1
    ' Display a print preview.
    Private Sub btnPreview_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPreview.Click
        ppdBarChart.ShowDialog()
    End Sub

    ' Print to the default printer.
    Private Sub btnPrint_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPrint.Click
        pdocBarChart.Print()
    End Sub

    ' Print the bar chart.
    Private Sub pdocBarChart_PrintPage(ByVal sender As System.Object, ByVal e As System.Drawing.Printing.PrintPageEventArgs) Handles pdocBarChart.PrintPage
        Const barWidth As Integer = 50

        ' Make some values between 0 and 200.
        Dim values() As Integer = {120, 150, 100, 85, 130, 140}

        ' Start with x at the left margin.
        Dim x As Integer = e.MarginBounds.Left

        ' Put the bottom of the chart 200 pixels below the top margin.
        Dim y As Integer = e.MarginBounds.Top + 200

        ' Make a font.
        Using the_font As New Font("Times New Roman", 16)
            ' Display the data.
            For Each value As Integer In values
                e.Graphics.DrawRectangle(Pens.Black, x, y - value, barWidth, value)
                e.Graphics.DrawString(value.ToString(), the_font, Brushes.Black, x, y - value - 30)
                x += barWidth
            Next value
        End Using
    End Sub
End Class
