﻿Imports System.Threading
Imports System.Globalization

Public Class Form1
    ' Parse values formatted for different locales.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim value As Decimal

        ' American English.
        Thread.CurrentThread.CurrentCulture = New CultureInfo("en-US", False)
        value = Decimal.Parse(lblUS.Text, NumberStyles.Any)
        value *= 2
        usParsedTextBox.Text = value.ToString("C")

        ' British English.
        Thread.CurrentThread.CurrentCulture = New CultureInfo("en-GB", False)
        value = Decimal.Parse(lblBR.Text, NumberStyles.Any)
        value *= 2
        brParsedTextBox.Text = value.ToString("C")

        ' German.
        Thread.CurrentThread.CurrentCulture = New CultureInfo("de-DE", False)
        value = Decimal.Parse(lblDE.Text, NumberStyles.Any)
        value *= 2
        deParsedTextBox.Text = value.ToString("C")

        ' French.
        Thread.CurrentThread.CurrentCulture = New CultureInfo("fr-FR", False)
        value = Decimal.Parse(lblFR.Text, NumberStyles.Any)
        value *= 2
        frParsedTextBox.Text = value.ToString("C")
    End Sub
End Class
