﻿Imports System.IO

Public Class Form1
    ' Start at the startup directory.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        directoryTextBox.Text = Application.StartupPath
    End Sub

    ' List the files in this directory and their sizes.
    Private Sub btnListFiles_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnListFiles.Click
        ' Search for the files.
        Dim dirinfo As New DirectoryInfo(directoryTextBox.Text)
        Dim fileQuery =
            From info As FileInfo In dirinfo.GetFiles("*.*", SearchOption.AllDirectories)
            Order By info.Length Descending
            Select String.Format("{0,10} {1}", info.Length.ToString(), info.Name)

            ' Display the result.
            fileListBox.DataSource = fileQuery.ToArray()
    End Sub
End Class
