﻿Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        lstBooks.Items.Clear()
        lstBooks.Items.Add(New BookInfo() With
        {
            .Title = "Beginning Database Design Solutions",
            .Author = "Rod Stephens",
            .ISBN = "978-0-470-38549-4",
            .URL = "http://www.vb-helper.com/db_design.htm",
            .Pages = 552,
            .Year = 2009,
            .Cover = My.Resources.db_design
        })
        lstBooks.Items.Add(New BookInfo() With
        {
            .Title = "5 Novels (by Daniel Pinkwater)",
            .Author = "Daniel Pinkwater",
            .ISBN = "978-0374423292",
            .URL = "http://astore.amazon.com/bookstokeep-20/detail/0374423296",
            .Pages = 656,
            .Year = 1997,
            .Cover = My.Resources.FiveNovels
        })
        lstBooks.Items.Add(New BookInfo() With
        {
            .Title = "Fablehaven",
            .Author = "Brandon Mull",
            .ISBN = "978-1416947202",
            .URL = "http://astore.amazon.com/bookstokeep-20/detail/1416947205",
            .Pages = 368,
            .Year = 2007,
            .Cover = My.Resources.Fablehaven
        })
        lstBooks.Items.Add(New BookInfo() With
        {
            .Title = "The Man with the Golden Torc ",
            .Author = "Simon R. Green",
            .ISBN = "978-0451462145",
            .URL = "http://astore.amazon.com/bookstokeep-20/detail/0451462149",
            .Pages = 416,
            .Year = 2008,
            .Cover = My.Resources.ManWithTheGoldenTorc
        })
        lstBooks.Items.Add(New BookInfo() With
        {
            .Title = "Something from the Nightside ",
            .Author = "Simon R. Green",
            .ISBN = "978-0441010653",
            .URL = "http://astore.amazon.com/bookstokeep-20/detail/0441010652",
            .Pages = 240,
            .Year = 2003,
            .Cover = My.Resources.SomethingFromTheNightside
        })
        lstBooks.Items.Add(New BookInfo() With
        {
            .Title = "Gullible's Travels",
            .Author = "Matthew Hughes",
            .ISBN = "978-0739419403",
            .URL = "http://astore.amazon.com/bookstokeep-20/detail/0739419404",
            .Pages = 401,
            .Year = 2001,
            .Cover = My.Resources.GulliblesTravels
        })
        lstBooks.Items.Add(New BookInfo() With
        {
            .Title = "Mort",
            .Author = "Terry Pratchett",
            .ISBN = "978-0061020681",
            .URL = "http://astore.amazon.com/bookstokeep-20/detail/0061020680",
            .Pages = 243,
            .Year = 2001,
            .Cover = My.Resources.Mort
        })
        lstBooks.Items.Add(New BookInfo() With
        {
            .Title = "Wintersmith",
            .Author = "Terry Pratchett",
            .ISBN = "978-0060890339",
            .URL = "http://astore.amazon.com/bookstokeep-20/detail/0060890339",
            .Pages = 464,
            .Year = 2007,
            .Cover = My.Resources.Wintersmith
        })
        lstBooks.Items.Add(New BookInfo() With
        {
            .Title = "Nation",
            .Author = "Terry Pratchett",
            .ISBN = "978-0061433016",
            .URL = "http://astore.amazon.com/bookstokeep-20/detail/0061433012",
            .Pages = 384,
            .Year = 2008,
            .Cover = My.Resources.Nation
        })
        lstBooks.Items.Add(New BookInfo() With
        {
            .Title = "Ender's Game",
            .Author = "Orson Scott Card",
            .ISBN = "978-0812550702",
            .URL = "http://astore.amazon.com/bookstokeep-20/detail/0812550706",
            .Pages = 384,
            .Year = 1994,
            .Cover = My.Resources.EndersGame
        })
        lstBooks.Items.Add(New BookInfo() With
        {
            .Title = "Split Infinity",
            .Author = "Piers Anthony",
            .ISBN = "9780345354914",
            .URL = "http://astore.amazon.com/bookstokeep-20/detail/0345354915",
            .Pages = 368,
            .Year = 1987,
            .Cover = My.Resources.SplitInfinity
        })
        lstBooks.Items.Add(New BookInfo() With
        {
            .Title = "Cold Copper Tears",
            .Author = "Glen Cook",
            .ISBN = "978-0451157737",
            .URL = "http://astore.amazon.com/bookstokeep-20/detail/0451157737",
            .Pages = 249,
            .Year = 2007,
            .Cover = My.Resources.ColdCopperTears
        })
        lstBooks.Items.Add(New BookInfo() With
        {
            .Title = "The True Game",
            .Author = "Sherry S. Tepper",
            .ISBN = "978-0441003310",
            .URL = "http://astore.amazon.com/bookstokeep-20/detail/0441003311",
            .Pages = 512,
            .Year = 1996,
            .Cover = My.Resources.TheTrueGame
        })
        lstBooks.Items.Add(New BookInfo() With
        {
            .Title = "The Lightning Thief",
            .Author = "Rick Riordan",
            .ISBN = "978-0786838653",
            .URL = "http://astore.amazon.com/bookstokeep-20/detail/0786838655",
            .Pages = 392,
            .Year = 2006,
            .Cover = My.Resources.TheLightningThief
        })
        lstBooks.Items.Add(New BookInfo() With
        {
            .Title = "Artemis Fowl",
            .Author = "Eoin Colfer",
            .ISBN = "978-0786817870",
            .URL = "http://astore.amazon.com/bookstokeep-20/detail/0786817879",
            .Pages = 416,
            .Year = 2003,
            .Cover = My.Resources.ArtemisFowl
        })

        ' Select the first item.
        lstBooks.SelectedIndex = 0
    End Sub


    ' Display information about the selected book.
    Private Sub booksListBox_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lstBooks.SelectedIndexChanged
        Dim bi As BookInfo = DirectCast(lstBooks.SelectedItem, BookInfo)
        txtTitle.Text = bi.Title
        txtAuthor.Text = bi.Author
        txtISBN.Text = bi.ISBN
        llURL.Text = bi.URL
        txtPages.Text = bi.Pages.ToString()
        txtYear.Text = bi.Year.ToString()
        picCover.Image = bi.Cover
    End Sub

    ' Navigate to the URL.
    Private Sub urlLinkLabel_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles llURL.LinkClicked
        System.Diagnostics.Process.Start(llURL.Text)
    End Sub
End Class
