﻿Public Class Form1
    ' Find and display the minimum, maximum, and average of the values.
    Private Sub btnCalculate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCalculate.Click
        ' Get the values.
        Dim textValues() As String = txtValues.Text.Split()
        Dim values(0 To textValues.Length - 1) As Double
        For i As Integer = 0 To textValues.Length - 1
            values(i) = Double.Parse(textValues(i))
        Next i

        ' Calculate.
        Dim smallest, largest, average As Double
        FindMinimumMaximumAverage(values, smallest, largest, average)

        ' Display the results.
        txtMinimum.Text = smallest.ToString()
        txtMaximum.Text = largest.ToString()
        txtAverage.Text = average.ToString("0.00")
    End Sub

    ' Calculate the minimum, maximum, and average values for the array.
    Private Sub FindMinimumMaximumAverage(ByVal values() As Double,
        ByRef minimum As Double, ByRef maximum As Double, ByRef average As Double)
        ' Initialize the minimum, maxiumu, and total values.
        minimum = values(0)
        maximum = values(0)
        Dim total As Double = values(0)

        ' Loop through the rest of the array.
        For i As Integer = 1 To values.Length - 1
            If (values(i) < minimum) Then minimum = values(i)
            If (values(i) > maximum) Then maximum = values(i)
            total += values(i)
        Next i

        ' Calculate the average.
        average = total / values.Length
    End Sub
End Class
