﻿Public Class Form1
    ' The Turtle instance this program uses.
    Private MyTurtle As Turtle

    ' Prepare the Turtle.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Make a Bitmap.
        Dim canvas As Bitmap = New Bitmap(
            picCanvas.ClientSize.Width,
            picCanvas.ClientSize.Height)

        ' Display the Bitmap.
        picCanvas.Image = canvas

        ' Make the Turtle.
        MyTurtle = New Turtle()
        MyTurtle.Canvas = canvas
        MyTurtle.X = 0
        MyTurtle.Y = 0
    End Sub

    ' Set the Turtle's angle.
    Private Sub btnTurn_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnTurn.Click
        MyTurtle.Direction += Integer.Parse(txtAngle.Text)
    End Sub

    ' Move the Turtle.
    Private Sub btnMove_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMove.Click
        MyTurtle.Move(Integer.Parse(txtDistance.Text))

        ' Force a redraw.
        picCanvas.Invalidate()
    End Sub
End Class
