﻿Public Class Form1
    ' Define some people of various types.
    Private Dan As Person
    Private Alice, Bob As Employee
    Private Cindy As Manager

    ' Make the people.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Make an Employee named Alice.
        Alice = New Employee()
        Alice.FirstName = "Alice"
        Alice.LastName = "Archer"
        Alice.Street = "100 Ash Ave"
        Alice.City = "Bugsville"
        Alice.State = "CO"
        Alice.Zip = "82010"
        Alice.EmployeeId = 1001
        Alice.MailStop = "A-1"

        ' Make an Employee named Bob.
        Bob = New Employee()
        Bob.FirstName = "Bob"
        Bob.LastName = "Baker"
        Bob.Street = "200 Beach Blvd"
        Bob.City = "Bugsville"
        Bob.State = "CO"
        Bob.Zip = "82010"
        Bob.EmployeeId = 1002
        Bob.MailStop = "B-2"

        ' Make an Employee named Cindy and put
        ' Alice and Bob in her department.
        Cindy = New Manager()
        Cindy.FirstName = "Cindy"
        Cindy.LastName = "Carlson"
        Cindy.Street = "300 Cedar Ct"
        Cindy.City = "Bugsville"
        Cindy.State = "CO"
        Cindy.Zip = "82010"
        Cindy.EmployeeId = 1003
        Cindy.MailStop = "C-3"
        Cindy.DepartmentName = "R & D"
        Cindy.DirectReports.Add(Alice)
        Cindy.DirectReports.Add(Bob)

        ' Make a customer named Dan.
        Dan = New Person()
        Dan.FirstName = "Dan"
        Dan.LastName = "Dent"
        Dan.Street = "400 Dutch Elm Dr"
        Dan.City = "Customeria"
        Dan.State = "CO"
        Dan.Zip = "82102"
    End Sub

    ' Display this Person's address.
    Private Sub ShowAddress(ByVal per As Person)
        MessageBox.Show(per.GetAddress())
    End Sub

    Private Sub btnAliceAddress_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAliceAddress.Click
        ShowAddress(Alice)
    End Sub

    Private Sub btnBobAddress_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBobAddress.Click
        ShowAddress(Bob)
    End Sub

    Private Sub btnCindyAddress_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCindyAddress.Click
        ShowAddress(Cindy)
    End Sub

    Private Sub btnDanAddress_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDanAddress.Click
        ShowAddress(Dan)
    End Sub

    Private Sub btnCindyReports_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCindyReports.Click
        MessageBox.Show(Cindy.GetDirectReportsList)
    End Sub
End Class
