﻿Public Class Form1
    ' The list of cars.
    Private Cars As List(Of Car)

    ' Make some Cars.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Cars = New List(Of Car)

        ' Source: http://www.thesupercars.org/fastest-cars/fastest-cars-in-the-world-top-10-list.
        Cars.Add(New Car("SSC Ultimate Aero", 257, 1183, 654400))
        Cars.Add(New Car("Bugatti Veyron", 253, 1001, 1700000))
        Cars.Add(New Car("Saleen S7 Twin-Turbo", 248, 750, 555000))
        Cars.Add(New Car("Koenigsegg CCX", 245, 806, 545568))
        Cars.Add(New Car("McLaren F1", 240, 637, 970000))
        Cars.Add(New Car("Ferrari Enzo", 217, 660, 670000))
        Cars.Add(New Car("Jaguar XJ220", 217, 542, 650000))
        Cars.Add(New Car("Pagani Zonda F", 215, 650, 667321))
        Cars.Add(New Car("Lamborghini Murcielago LP640", 211, 640, 430000))
        Cars.Add(New Car("Porsche Carrera GT", 205, 612, 440000))

        ' Initially sort by name.
        radName.Checked = True
    End Sub

    ' RadioButton event handlers.
    Private Sub radName_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles radName.CheckedChanged
        Dim sorter As CarComparer = New CarComparer(CarComparer.SortType.ByName)
        Dim sortedCars As List(Of Car) = New List(Of Car)(Cars)
        sortedCars.Sort(sorter)
        lstCars.DataSource = sortedCars
    End Sub

    Private Sub radMaxSpeed_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles radMaxSpeed.CheckedChanged
        Dim sorter As CarComparer = New CarComparer(CarComparer.SortType.ByMaxSpeed)
        Dim sortedCars As List(Of Car) = New List(Of Car)(Cars)
        sortedCars.Sort(sorter)
        lstCars.DataSource = sortedCars
    End Sub

    Private Sub radHorsepower_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles radHorsepower.CheckedChanged
        Dim sorter As CarComparer = New CarComparer(CarComparer.SortType.ByHorsepower)
        Dim sortedCars As List(Of Car) = New List(Of Car)(Cars)
        sortedCars.Sort(sorter)
        lstCars.DataSource = sortedCars
    End Sub

    Private Sub radPrice_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles radPrice.CheckedChanged
        Dim sorter As CarComparer = New CarComparer(CarComparer.SortType.ByPrice)
        Dim sortedCars As List(Of Car) = New List(Of Car)(Cars)
        sortedCars.Sort(sorter)
        lstCars.DataSource = sortedCars
    End Sub
End Class
