﻿Public Class MotorHome
    Inherits Vehicle
    Implements IDomicile

    Public Property NumberOfBathrooms As Single Implements IDomicile.NumberOfBathrooms
    Public Property NumberOfBedrooms As Integer Implements IDomicile.NumberOfBedrooms
    Public Property SquareFeet As Integer Implements IDomicile.SquareFeet

    Public Sub New(ByVal newNumberOfPassengers As Integer,
     ByVal newMilesPerGallon As Single, ByVal newNumberOfCupHolders As Integer,
     ByVal newNumberOfBathrooms As Single, ByVal newNumberOfBedrooms As Integer,
     ByVal newSquareFeet As Integer)

        MyBase.New(newNumberOfPassengers, newMilesPerGallon, newNumberOfCupHolders)
        NumberOfBathrooms = newNumberOfBathrooms
        NumberOfBedrooms = newNumberOfBedrooms
        SquareFeet = newSquareFeet
    End Sub

    Public Overrides Function ToString() As String Implements IDomicile.ToString
        Return MyBase.ToString() & vbCrLf &
            "# Bathrooms: " & NumberOfBathrooms & vbCrLf &
            "# Bedrooms: " & NumberOfBedrooms & vbCrLf &
            "Square Feet: " & SquareFeet
    End Function
End Class
