﻿Public Class Form1
    ' Display a print preview.
    Private Sub btnPreview_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPreview.Click
        ppdText.ShowDialog()
    End Sub

    ' Print to the default printer.
    Private Sub btnPrint_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPrint.Click
        pdocText.Print()
    End Sub

    ' The number of the next page.
    Private NextPageNum As Integer = 0

    ' Print some text on one page.
    Private Sub pdocShapes_PrintPage(ByVal sender As System.Object, ByVal e As System.Drawing.Printing.PrintPageEventArgs) Handles pdocText.PrintPage
        ' Make a font to use.
        Using the_font As New Font("Times New Roman", 20)
            ' Get the coordinates for the first line.
            Dim x As Integer = e.MarginBounds.Left
            Dim y As Integer = e.MarginBounds.Top

            ' Print some text.
            Dim names() As String =
            {
                "Arsenal", "Burnley", "Chelsea", "Liverpool",
                "Man City", "Portsmouth", "Tottenham", "Wigan"
            }
            For Each name As String In names
                ' Print the name.
                e.Graphics.DrawString(name, the_font, Brushes.Black, x, y)

                ' Move down for the next line.
                y += 30
            Next name
        End Using

        ' We only have one page.
        e.HasMorePages = False
    End Sub
End Class
