﻿Imports System.IO
Imports System.Collections.Specialized
Imports System.Media

Public Class Form1
    ' Add some files to the file list.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim dirInfo As New DirectoryInfo(Application.StartupPath)
        For Each info As FileInfo In dirInfo.GetFiles()
            lstFiles.Items.Add(info.FullName)
        Next info
    End Sub

    ' Copy the text to the clipboard.
    ' Then manually try pasting into Word, WordPad, etc.
    Private Sub btnCopyText_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCopyText.Click
        Clipboard.SetText(txtData.Text)
        System.Media.SystemSounds.Beep.Play()
    End Sub

    ' Copy the picture to the clipboard.
    ' Then try pasting into Word, Paint, etc.
    Private Sub btnCopyPicture_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCopyPicture.Click
        Clipboard.SetImage(picData.Image)
        System.Media.SystemSounds.Beep.Play()
    End Sub

    ' Copy the picture to the clipboard.
    ' Then try pasting into ReadFromClipboard.
    Private Sub btnCopyFiles_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCopyFiles.Click
        ' Make a StringCollection holding the file names.
        Dim files As New StringCollection()
        For Each filename As String In lstFiles.Items
            files.Add(filename)
        Next filename

        ' Save the list to the clipboard.
        Clipboard.SetFileDropList(files)

        System.Media.SystemSounds.Beep.Play()
    End Sub

    ' Copy some audio to the clipboard.
    Private Sub btnCopyAudio_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCopyAudio.Click
        Clipboard.SetAudio(My.Resources.boing)

        Using player As New SoundPlayer(My.Resources.boing)
            player.Play()
        End Using
    End Sub
End Class
